| Verb | URI | Description | |||
| GET | /domains/domainId/changes?since=[date/time] |
Show all changes to the
specified domain
since the
specified date/time. |
|||
Normal Response Code(s): 200
Error Response Code(s): dnsFault (400, 500), serviceUnavailable (503), unauthorized (401), badRequest (400), itemNotFound (404), overLimit (413)
This call shows all changes to the specified
domain since the specified date/time.
The since parameter is
optional and defaults to midnight of the current
day. See Section 3.9, “Date/Time Format” for
details on how to specify this parameter's
value.
The following examples show the requests and corresponding responses to list the domain changes since midnight, GMT-5, on September 13, 2011:
Example 4.41. List Domain Changes Request: XML
GET https://dns.api.rackspacecloud.com/v1.0/1234/domains/45678/changes?since=2011-09-13T00:00:00-0500 Accept: application/xml X-Auth-Token: ea85e6ac-baff-4a6c-bf43-848020ea3812 Content-Type: application/xml Content-Length: 0
Example 4.42. List Domain Changes Request: JSON
GET https://dns.api.rackspacecloud.com/v1.0/1234/domains/45678/changes?since=2011-09-13T00:00:00-0500 Accept: application/json X-Auth-Token: ea85e6ac-baff-4a6c-bf43-848020ea3812 Content-Type: application/json Content-Length: 0
Example 4.43. List Domain Changes Response: XML
Status: 200 OK
Date: Thu, 28 Jul 2011 21:54:21 GMT
X-API-VERSION: 1.0.17
Content-Type: application/xml
Content-Length: 2460
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<changes totalEntries="4" from="2011-09-13T00:00:00-05:00" to="2011-09-19T16:36:01-05:00" xmlns:ns2="http://www.w3.org/2005/Atom" xmlns="http://docs.rackspacecloud.com/dns/api/v1.0" xmlns:ns3="http://docs.rackspacecloud.com/dns/api/management/v1.0">
<change accountId="1234" domain="rs.example.com" targetId="45678" targetType="Domain" action="update">
<changeDetail field="serial_number" originalValue="1315927395" newValue="1315930302"/>
<changeDetail field="updated_at" originalValue="Tue Sep 13 15:23:15 UTC 2011" newValue="Tue Sep 13 16:11:42 UTC 2011"/>
</change>
<change domain="rs.example.com" targetId="222222" targetType="MX Record" action="create">
<changeDetail field="created_at" originalValue="" newValue="Tue Sep 13 16:11:42 UTC 2011"/>
<changeDetail field="ttl" originalValue="" newValue="3600"/>
<changeDetail field="fqdn" originalValue="" newValue="rs.example.com"/>
<changeDetail field="updated_at" originalValue="" newValue="Tue Sep 13 16:11:42 UTC 2011"/>
<changeDetail field="destination" originalValue="" newValue="mail.rs.example.com"/>
<changeDetail field="priority" originalValue="" newValue="1"/>
<changeDetail field="id" originalValue="" newValue="222222"/>
<changeDetail field="zone_id" originalValue="" newValue="45678"/>
</change>
<change accountId="1234" domain="rs.example.com" targetId="45678" targetType="Domain" action="update">
<changeDetail field="serial_number" originalValue="1310656481" newValue="1315927395"/>
<changeDetail field="updated_at" originalValue="Thu Jul 14 15:14:41 UTC 2011" newValue="Tue Sep 13 15:23:15 UTC 2011"/>
</change>
<change domain="rs.example.com" targetId="87654" targetType="CNAME Record" action="create">
<changeDetail field="created_at" originalValue="" newValue="Tue Sep 13 15:23:15 UTC 2011"/>
<changeDetail field="ttl" originalValue="" newValue="3600"/>
<changeDetail field="fqdn" originalValue="" newValue="*.rs.example.com"/>
<changeDetail field="updated_at" originalValue="" newValue="Tue Sep 13 15:23:15 UTC 2011"/>
<changeDetail field="destination" originalValue="" newValue="rs.example.com"/>
<changeDetail field="id" originalValue="" newValue="87654"/>
<changeDetail field="zone_id" originalValue="" newValue="45678"/>
</change>
</changes>
Example 4.44. List Domain Changes Response: JSON
Status: 200 OK
Date: Thu, 28 Jul 2011 21:54:21 GMT
X-API-VERSION: 1.0.17
Content-Type: application/json
Content-Length: 2762
{
"changes" : [ {
"action" : "update",
"accountId" : 1234,
"targetId" : 45678,
"targetType" : "Domain",
"changeDetails" : [ {
"originalValue" : "1315927395",
"field" : "serial_number",
"newValue" : "1315930302"
}, {
"originalValue" : "Tue Sep 13 15:23:15 UTC 2011",
"field" : "updated_at",
"newValue" : "Tue Sep 13 16:11:42 UTC 2011"
} ],
"domain" : "rs.example.com"
}, {
"action" : "create",
"targetId" : 222222,
"targetType" : "MX Record",
"changeDetails" : [ {
"originalValue" : "",
"field" : "created_at",
"newValue" : "Tue Sep 13 16:11:42 UTC 2011"
}, {
"originalValue" : "",
"field" : "ttl",
"newValue" : "3600"
}, {
"originalValue" : "",
"field" : "fqdn",
"newValue" : "rs.example.com"
}, {
"originalValue" : "",
"field" : "updated_at",
"newValue" : "Tue Sep 13 16:11:42 UTC 2011"
}, {
"originalValue" : "",
"field" : "destination",
"newValue" : "mail.rs.example.com"
}, {
"originalValue" : "",
"field" : "priority",
"newValue" : "1"
}, {
"originalValue" : "",
"field" : "id",
"newValue" : "222222"
}, {
"originalValue" : "",
"field" : "zone_id",
"newValue" : "45678"
} ],
"domain" : "rs.example.com"
}, {
"action" : "update",
"accountId" : 1234,
"targetId" : 45678,
"targetType" : "Domain",
"changeDetails" : [ {
"originalValue" : "1310656481",
"field" : "serial_number",
"newValue" : "1315927395"
}, {
"originalValue" : "Thu Jul 14 15:14:41 UTC 2011",
"field" : "updated_at",
"newValue" : "Tue Sep 13 15:23:15 UTC 2011"
} ],
"domain" : "rs.example.com"
}, {
"action" : "create",
"targetId" : 87654,
"targetType" : "CNAME Record",
"changeDetails" : [ {
"originalValue" : "",
"field" : "created_at",
"newValue" : "Tue Sep 13 15:23:15 UTC 2011"
}, {
"originalValue" : "",
"field" : "ttl",
"newValue" : "3600"
}, {
"originalValue" : "",
"field" : "fqdn",
"newValue" : "*.rs.example.com"
}, {
"originalValue" : "",
"field" : "updated_at",
"newValue" : "Tue Sep 13 15:23:15 UTC 2011"
}, {
"originalValue" : "",
"field" : "destination",
"newValue" : "rs.example.com"
}, {
"originalValue" : "",
"field" : "id",
"newValue" : "87654"
}, {
"originalValue" : "",
"field" : "zone_id",
"newValue" : "45678"
} ],
"domain" : "rs.example.com"
} ],
"to" : "2011-09-19T21:36:01.000+0000",
"from" : "2011-09-13T05:00:00.000+0000",
"totalEntries" : 4
}

